Bug 114387 - graphics/ImageMagick cannot compile with ghostscript-gnu
Summary: graphics/ImageMagick cannot compile with ghostscript-gnu
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mikhail Teterin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-07 18:00 UTC by Takamichi Tateoka
Modified: 2007-11-07 06:00 UTC (History)
0 users

See Also:


Attachments
file.diff (569 bytes, patch)
2007-07-07 18:00 UTC, Takamichi Tateoka
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Takamichi Tateoka 2007-07-07 18:00:11 UTC
  ImageMagick cannot compile with ghostscript-gnu. It must compile
with ghostscript-afpl.  However, ghostscript-afpl has some problem 
to display Japanese PS files.  At least afpl version cannot handle
a PS file created by ja-dvipsk-tetex-5.95b_9, which is a Japanese 
version of dvips.
  Many (at least Japanese) use can be happy if ImageMagick can compile
with ghostscript-gnu even if PDF support is disabled.

Fix: With following patch, ghostscript-gnu users can use ImageMagick
without PDF support.

BEGIN--- cut here ---
How-To-Repeat: 
# cd /usr/ports/graphics/ImageMagick
# env WITH_GHOSTSCRIPT_GNU=yes make 
===>  ImageMagick-6.3.3.5_1 requires newer version of ghostscript.
*** Error code 1
Comment 1 Edwin Groothuis freebsd_committer 2007-07-08 00:00:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->shaun

Over to maintainer
Comment 2 Takamichi Tateoka 2007-09-25 16:28:09 UTC
This patch is still useful even after ImageMagick uses ghostscript-gpl
instead of ghostscript-afpl.
Because ghostscript-gpl cannot handle some Asian-fonts.
You can see this problem in print/ghostscript-gpl/pkg-descr (
http://www.freebsd.org/cgi/cvsweb.cgi/~checkout~/ports/print/ghostscript-gpl
/pkg-descr?rev=1.19;content-type=text%2Fplain )

Users who need to use Asian fonts must use ghostscript-gnu instead of
ghostscript-gpl.
Comment 3 Shaun Amott freebsd_committer 2007-09-26 23:57:26 UTC
Responsible Changed
From-To: shaun->mi

Over to new maintainer.
Comment 4 dfilter service freebsd_committer 2007-11-07 05:46:45 UTC
mi          2007-11-07 05:46:29 UTC

  FreeBSD ports repository

  Modified files:
    graphics/ImageMagick Makefile distinfo pkg-plist 
  Removed files:
    graphics/ImageMagick/files patch-leak patch-module-path 
                               patch-test-filter 
  Log:
  Update from 6.3.5-10 to 6.3.6-9. Some of our patches were accepted
  upstream. The tests should work with and without X11. Enable FPX by
  default. Resolve all related PRs.
  
  Approved by:    portmgr (linimon)
  PR:     67815
  PR:     117635
  PR:     116874
  PR:     114387
  
  Revision  Changes    Path
  1.249     +21 -14    ports/graphics/ImageMagick/Makefile
  1.111     +3 -3      ports/graphics/ImageMagick/distinfo
  1.2       +0 -12     ports/graphics/ImageMagick/files/patch-leak (dead)
  1.2       +0 -31     ports/graphics/ImageMagick/files/patch-module-path (dead)
  1.2       +0 -21     ports/graphics/ImageMagick/files/patch-test-filter (dead)
  1.108     +1 -0      ports/graphics/ImageMagick/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Mikhail Teterin freebsd_committer 2007-11-07 05:46:56 UTC
State Changed
From-To: open->closed

The proposed patch committed. Thanks.